Bug 1462691 - [RFE] Enable WORM (Write Once Read Many) support in Gluster storage
[RFE] Enable WORM (Write Once Read Many) support in Gluster storage
Status: POST
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
3.2
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
Rahul Hinduja
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-19 05:51 EDT by Prerna Sony
Modified: 2018-04-02 03:56 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prerna Sony 2017-06-19 05:51:15 EDT
Description of the problem:
	The Customer is looking for WORM (Write Once Read Many) support in gluster storage. 

Additional info:

http://blog.gluster.org/2016/07/worm-write-once-read-multiple-retention-and-compliance-2/
Comment 2 Niels de Vos 2017-06-21 08:42:36 EDT
Prerna, could you please describe the exact features of WORM that your customer expects to be useful? WORM is a *very* broad subject, and it would help to know which pieces should get priority over others.

Thanks!
Comment 5 Amar Tumballi 2018-04-02 03:56:48 EDT
There are few fixes in upstream gluster right now, which would solve some problems of WORM.

This would be fixed in RHGS4.0 (note that it won't be meeting complete WORM specs).

Mostly tracked in https://bugzilla.redhat.com/show_bug.cgi?id=1437763 && https://github.com/gluster/glusterfs/issues/310

Note You need to log in before you can comment on or make changes to this bug.